/* eslint max-len: ["error", { "ignoreStrings": true }] */
import React from 'react';

export const ErrorIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="0"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="m 12.000037,6.0000135 c -0.318312,0 -0.62352,0.1264321 -0.84852,0.3514321 -0.225073,0.2250721 -0.351505,0.5302801 -0.351505,0.8485922 v 4.7999532 c 0,0.31824 0.126432,0.62352 0.351505,0.84852 0.225,0.225072 0.530208,0.351504 0.84852,0.351504 0.318241,0 0.623449,-0.126432 0.848521,-0.351504 0.225,-0.225 0.351432,-0.53028 0.351432,-0.84852 V 7.2000378 c 0,-0.3183121 -0.126432,-0.6235201 -0.351432,-0.8485922 -0.225072,-0.225 -0.53028,-0.3514321 -0.848521,-0.3514321 z M 13.104014,16.34404 c -0.02628,-0.07654 -0.06257,-0.149112 -0.108,-0.216 l -0.144,-0.18 c -0.168768,-0.166536 -0.38304,-0.27936 -0.615816,-0.324216 -0.232777,-0.04486 -0.473617,-0.01973 -0.692209,0.07222 -0.145368,0.06077 -0.27936,0.145944 -0.396,0.252 -0.111168,0.112104 -0.199152,0.245088 -0.258913,0.391248 -0.05969,0.146232 -0.09,0.30276 -0.08906,0.460728 0.0019,0.156816 0.03449,0.311688 0.09598,0.455976 0.05393,0.148896 0.139897,0.284184 0.251857,0.396144 0.112032,0.111961 0.247248,0.198001 0.396144,0.251857 0.14364,0.0635 0.299016,0.09626 0.456048,0.09626 0.157033,0 0.312337,-0.03276 0.455977,-0.09626 0.148896,-0.05386 0.284184,-0.139896 0.396144,-0.251857 0.11196,-0.11196 0.198,-0.247248 0.251856,-0.396144 0.06149,-0.144288 0.0941,-0.29916 0.09598,-0.455976 0.0059,-0.07992 0.0059,-0.160128 0,-0.239976 -0.02066,-0.07654 -0.05299,-0.1494 -0.09598,-0.216 z M 12.000037,0 C 9.6266274,0 7.3065693,0.70378578 5.3331914,2.0223653 3.3597777,3.3409448 1.8217051,5.2150693 0.91345314,7.4078299 0.00520115,9.6005184 -0.23244226,12.013311 0.23058295,14.341072 c 0.4630252,2.32776 1.60591105,4.466017 3.28414605,6.144193 1.6782063,1.678249 3.8163923,2.821177 6.1442264,3.284137 2.3277616,0.463032 4.7405566,0.225432 6.9332456,-0.682848 2.192762,-0.908208 4.066852,-2.446345 5.385461,-4.419721 C 23.296271,16.693456 24,14.3734 24,11.999991 24,10.424127 23.689608,8.8637422 23.086607,7.4078299 22.483535,5.9519175 21.59959,4.6290252 20.485317,3.5147241 19.370972,2.4004158 18.048115,1.5165004 16.592201,0.91344983 15.136288,0.31039208 13.575903,0 12.000037,0 Z m 0,21.600041 c -1.898713,0 -3.7548029,-0.56304 -5.3334764,-1.617912 C 5.0878152,18.927257 3.8573701,17.427928 3.1307671,15.673792 2.4041641,13.919584 2.2140479,11.989335 2.5844666,10.127127 2.9548853,8.2649181 3.8691997,6.5543417 5.2117993,5.2117573 6.5543845,3.8691946 8.2649622,2.9548807 10.127172,2.5844623 c 1.862209,-0.3704185 3.792459,-0.1803025 5.546597,0.5463001 1.754209,0.7265954 3.253467,1.9570829 4.308339,3.5357553 1.054873,1.5787444 1.617914,3.4347613 1.617914,5.3334733 0,2.546065 -1.011457,4.987873 -2.811747,6.788234 -1.800361,1.80036 -4.242171,2.811816 -6.788238,2.811816 z"
      fill="#ffea79"
    />
  </svg>
);

export const OkIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="0"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M 15.264017,8.1479624 10.116012,13.30798 8.1360101,11.327982 c -0.107568,-0.12564 -0.2399763,-0.227664 -0.3888004,-0.299664 -0.1488961,-0.072 -0.3110403,-0.112536 -0.4763525,-0.118872 -0.1652401,-0.0065 -0.3300482,0.02146 -0.4840563,0.08179 -0.1539361,0.06034 -0.2938323,0.151848 -0.4107605,0.268776 -0.116928,0.116928 -0.2084402,0.256823 -0.2687764,0.410759 -0.060336,0.154008 -0.0882,0.318816 -0.081792,0.484056 0.00634,0.165311 0.046872,0.327455 0.118872,0.476351 0.072,0.148824 0.1740242,0.281232 0.2996643,0.388798 l 2.8200266,2.831974 c 0.112104,0.11124 0.2450883,0.199224 0.3913199,0.258984 0.14616,0.05969 0.3027612,0.08993 0.4606572,0.08906 0.314784,-0.0014 0.616464,-0.126359 0.840024,-0.348047 l 5.999982,-5.9999686 c 0.112464,-0.111528 0.201744,-0.2442948 0.262656,-0.3905269 0.06091,-0.1462318 0.0923,-0.3030475 0.0923,-0.4614473 0,-0.1583998 -0.03139,-0.3152876 -0.0923,-0.4615194 -0.06091,-0.146235 -0.150192,-0.2789309 -0.262656,-0.3905308 -0.224856,-0.2234877 -0.528984,-0.3489115 -0.846,-0.3489115 -0.317017,0 -0.621145,0.1254238 -0.846001,0.3489115 z M 12.000037,0 C 9.6266268,0 7.3065692,0.70379184 5.3331914,2.022362 3.3597776,3.3409394 1.8217051,5.2150464 0.91345307,7.4078035 0.00520115,9.6004884 -0.23244229,12.013278 0.23058299,14.341034 0.69360815,16.668863 1.8364939,18.807043 3.514729,20.48529 c 1.6782063,1.678174 3.8163924,2.8211 6.1442258,3.284131 2.3277622,0.463031 4.7405572,0.22536 6.9332472,-0.682919 2.192761,-0.908206 4.06685,-2.446268 5.38546,-4.419715 C 23.296271,16.693415 24,14.373362 24,11.999958 24,10.424095 23.689608,8.8637135 23.086607,7.4078035 22.483535,5.9518934 21.59959,4.6290176 20.485316,3.5147184 19.370971,2.400412 18.048114,1.5165052 16.592202,0.9134484 15.136289,0.31039152 13.575904,0 12.000037,0 Z m 0,21.599993 c -1.898713,0 -3.7548028,-0.56304 -5.3334762,-1.617911 C 5.0878152,18.927211 3.8573701,17.427886 3.130767,15.673752 2.404164,13.919546 2.2140479,11.989374 2.5844666,10.127095 2.9548854,8.2648903 3.8691997,6.5543887 5.2117993,5.2118065 6.5543846,3.8691883 8.2649622,2.9548759 10.127172,2.5844581 c 1.862209,-0.3704179 3.79246,-0.1803021 5.546597,0.5462993 1.754209,0.7266013 3.253466,1.9570652 4.308339,3.5357351 1.054874,1.5787418 1.617914,3.4348265 1.617914,5.3334655 0,2.546132 -1.011458,4.987864 -2.811747,6.788221 -1.800361,1.800359 -4.242171,2.811814 -6.788238,2.811814 z"
      fill="#5cbc64"
    />
  </svg>
);

export const CloseIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="1.5"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M13.4099 11.9999L19.7099 5.70994C19.8982 5.52164 20.004 5.26624 20.004 4.99994C20.004 4.73364 19.8982 4.47825 19.7099 4.28994C19.5216 4.10164 19.2662 3.99585 18.9999 3.99585C18.7336 3.99585 18.4782 4.10164 18.2899 4.28994L11.9999 10.5899L5.70994 4.28994C5.52164 4.10164 5.26624 3.99585 4.99994 3.99585C4.73364 3.99585 4.47824 4.10164 4.28994 4.28994C4.10164 4.47825 3.99585 4.73364 3.99585 4.99994C3.99585 5.26624 4.10164 5.52164 4.28994 5.70994L10.5899 11.9999L4.28994 18.2899C4.19621 18.3829 4.12182 18.4935 4.07105 18.6154C4.02028 18.7372 3.99414 18.8679 3.99414 18.9999C3.99414 19.132 4.02028 19.2627 4.07105 19.3845C4.12182 19.5064 4.19621 19.617 4.28994 19.7099C4.3829 19.8037 4.4935 19.8781 4.61536 19.9288C4.73722 19.9796 4.86793 20.0057 4.99994 20.0057C5.13195 20.0057 5.26266 19.9796 5.38452 19.9288C5.50638 19.8781 5.61698 19.8037 5.70994 19.7099L11.9999 13.4099L18.2899 19.7099C18.3829 19.8037 18.4935 19.8781 18.6154 19.9288C18.7372 19.9796 18.8679 20.0057 18.9999 20.0057C19.132 20.0057 19.2627 19.9796 19.3845 19.9288C19.5064 19.8781 19.617 19.8037 19.7099 19.7099C19.8037 19.617 19.8781 19.5064 19.9288 19.3845C19.9796 19.2627 20.0057 19.132 20.0057 18.9999C20.0057 18.8679 19.9796 18.7372 19.9288 18.6154C19.8781 18.4935 19.8037 18.3829 19.7099 18.2899L13.4099 11.9999Z"
      fill="#757575"
    />
  </svg>
);

export const EmailIcon = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    fill="none"
    stroke="currentColor"
    strokeWidth="0"
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    aria-hidden="true"
    {...props}
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M19 4H5C4.20435 4 3.44129 4.31607 2.87868 4.87868C2.31607 5.44129 2 6.20435 2 7V17C2 17.7956 2.31607 18.5587 2.87868 19.1213C3.44129 19.6839 4.20435 20 5 20H19C19.7956 20 20.5587 19.6839 21.1213 19.1213C21.6839 18.5587 22 17.7956 22 17V7C22 6.20435 21.6839 5.44129 21.1213 4.87868C20.5587 4.31607 19.7956 4 19 4ZM5 6H19C19.2652 6 19.5196 6.10536 19.7071 6.29289C19.8946 6.48043 20 6.73478 20 7L12 11.88L4 7C4 6.73478 4.10536 6.48043 4.29289 6.29289C4.48043 6.10536 4.73478 6 5 6ZM20 17C20 17.2652 19.8946 17.5196 19.7071 17.7071C19.5196 17.8946 19.2652 18 19 18H5C4.73478 18 4.48043 17.8946 4.29289 17.7071C4.10536 17.5196 4 17.2652 4 17V9.28L11.48 13.85C11.632 13.9378 11.8045 13.984 11.98 13.984C12.1555 13.984 12.328 13.9378 12.48 13.85L20 9.28V17Z"
      fill="white"
    />
  </svg>
);
